local vector2 = require("#microsoft.xna.framework.vector2")
local exCameraHelper = require("#Celeste.Mod.ExCameraDynamics.Code.Module.ExCameraInterop")
local cameraFocus = require("#Celeste.Mod.ExCameraDynamics.Code.Entities.CameraFocus")
local cameraZoomHooks = require("#Celeste.Mod.ExCameraDynamics.Code.Hooks.CameraZoomHooks")

function onBegin()

    disableMovement()
    disablePause ()

    --local level = getLevel()
    --coroutine.yield(exCameraHelper.Level_ZoomToFocus(level, vector2(1096, 4324), 1,0.01))
    --cameraZoomHooks.ForceCameraTo(level, cameraFocus.FromCenter(vector2(1096, 4324), 1))
    --local roomX = level.Bounds.X
    --local roomY = level.Bounds.Y
    --local roomCenter = vector2(roomX, roomY) + vector2(160, 90)
    --cameraZoomHooks.ForceCameraTo(level, cameraFocus.FromCenter(roomCenter, 1))

    --或者：
    --local level = getLevel()
    --cameraZoomHooks.ForceCameraTo(level, cameraFocus.FromCenter(vector2(1096, 4324), 1))

    wait(1)
    walkTo (1090, false, 1, false)
    wait(0.5)

    player.DummyAutoAnimate = false
    player.Sprite:Play("duck")
    wait(0.5)
    miniTextbox("WHE_NaCline_H_01")
    wait(2.5)
    miniTextbox("WHE_NaCline_H_02")
    wait(4.5)
    miniTextbox("WHE_NaCline_H_03")
    wait(3)
    player.DummyAutoAnimate = true

    wait(2)

    teleportTo(1500, 4392, "feel_03")

    enableMovement()
    endCutscene ()
	

end